Page MenuHomePhabricator

[SPIKE] Review Jio voice APIs
Closed, ResolvedPublicSpike

Description

Background

Through the research on understanding KaiOS users, we learned that some users prefer voice search over typing as a way to search for information on their phones. This spike task is to help us identify:

  1. What Indic languages the Jio voice API supports
  2. How it works
  3. How to integrate it
  4. Identify integration risks

Results

Jio confirmed there is no Voice API for us to use but they are working on it.

On non-Jio devices, the Google assistant can be used to search (long press on CSK) in the app. On Jio devices, the Google assistant is present but seems to be only integrated on Google apps (youtube, maps).

The Web Speech API can be enabled using the speech-recognition permission in the manifest. Here's an example on how to use it:

var recognition = new SpeechRecognition();
recognition.continuous = false;
recognition.lang = 'en-US';
recognition.interimResults = false;
recognition.maxAlternatives = 1;
recognition.onresult = event => { /* do something with event.results[0][0].transcript */};
recognition.start(); // listening now

Event Timeline

AMuigai triaged this task as Medium priority.May 14 2020, 9:55 PM
AMuigai created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 9:55 PM
AMuigai moved this task from Q2-2020 to Kanban on the Inuka-Team board.May 21 2020, 1:23 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson added a subscriber: SBisson.Jun 3 2020, 9:02 PM

I remember seeing mentions of the Voice SDK but I can't find the documentation anywhere. I've emailed Jio about it, still waiting for a response.

SBisson moved this task from Kanban to Backlog on the Inuka-Team board.Jun 4 2020, 1:45 PM
SBisson edited projects, added Inuka-Team; removed Inuka-Team (Kanban).
AMuigai moved this task from Backlog to Q2-2020 on the Inuka-Team board.Sep 28 2020, 11:33 AM
AMuigai moved this task from Q2-2020 to Kanban on the Inuka-Team board.Nov 5 2020, 12:27 PM
AMuigai edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson claimed this task.Nov 18 2020, 2:07 PM
SBisson moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.
SBisson moved this task from Dev to Product sign off on the Inuka-Team (Kanban) board.EditedNov 23 2020, 3:19 PM

Jio confirmed there is no Voice API for us to use but they are working on it.

Could not find any KaiOS-specific APIs for this.

There is a standard SpeechRecognition Web API but it is not available on the Firefox version that powers KaiOS.

AMuigai renamed this task from [SPIKE] Review Jio voice APIs to [SPIKE] Review availaibility of voice APIs on KaiOS.Nov 25 2020, 12:27 PM
AMuigai updated the task description. (Show Details)
AMuigai moved this task from Product sign off to Dev on the Inuka-Team (Kanban) board.
SBisson updated the task description. (Show Details)Nov 25 2020, 4:38 PM
SBisson updated the task description. (Show Details)Nov 25 2020, 7:28 PM
AMuigai renamed this task from [SPIKE] Review availaibility of voice APIs on KaiOS to [SPIKE] Review Jio voice APIs.Nov 26 2020, 11:50 AM
AMuigai updated the task description. (Show Details)
SBisson updated the task description. (Show Details)Nov 26 2020, 1:56 PM
AMuigai closed this task as Resolved.Dec 1 2020, 5:11 PM